For the complete documentation index, see llms.txt. This page is also available as Markdown.

Safenet

Create

post

Create a new Safenet MFA.

Body

Create MFA of type safenet

namestring · min: 1 · max: 255 · nullableRequired

The name of the target Multi Factor Authentication. This must be the actual Multi Factor Authentication name used in the RAS farm.

siteIdinteger · int32Optional

Site ID in which to modify the specified Multi Factor Authentication. If the parameter is omitted, the site ID of the Licensing Server will be used.

descriptionstring · nullableOptional

A user-defined Multi Factor Authentication description.

enabledbooleanOptional

Enable or disable the Multi Factor Authentication upon creation. If the parameter is omitted, the Multi Factor Authentication is initialised as Disabled.

safenetAuthModestring · enumOptional

SafeNet Authentication Mode

Possible values:
otpServiceURLstring · min: 1 · max: 255 · nullableRequired

OTP Service URL

userRepositorystring · nullableOptional

A value representing User Store

tmsWebApiURLstring · nullableOptional

The URL of the web service

Responses
201

Created

application/json; api-version=1.0
idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Name

siteIdinteger · int32Optional

Site ID

descriptionstring · nullableOptional

Description

enabledbooleanOptional

Whether MFA provider is enabled or not.

typestring · enumOptional

Provider Type

Possible values:
inheritDefaultCriteriaSettingsbooleanOptional

If true default criteria restriction settings will be inherited.

authModestring · enumOptional

SafeNet Authentication Mode

Possible values:
otpServiceURLstring · nullableOptional

OTP Service URL

userRepositorystring · nullableOptional

A value representing User Store

tmsWebApiURLstring · nullableOptional

The URL of the web service

post/api/MFA/Safenet
POST /api/MFA/Safenet HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 249

{
  "name": "text",
  "siteId": 1,
  "description": "text",
  "enabled": true,
  "safenetAuthMode": [
    "0 = MandatoryForAllUsers",
    "1 = CreateTokenForDomainAuthenticatedUsers",
    "2 = UsersWithSafeNetAcc"
  ],
  "otpServiceURL": "text",
  "userRepository": "text",
  "tmsWebApiURL": "text"
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "siteId": 1,
  "description": "text",
  "enabled": true,
  "type": [
    "1 = Deepnet",
    "2 = SafeNet",
    "3 = Radius",
    "4 = AzureRadius",
    "5 = DuoRadius",
    "6 = FortiRadius",
    "7 = TekRadius",
    "8 = GAuthTOTP",
    "9 = TOTP",
    "10 = MicrosoftTOTP",
    "11 = EmailOTP"
  ],
  "inheritDefaultCriteriaSettings": true,
  "criteria": {
    "securityPrincipals": {
      "enabled": true,
      "matchingMode": [
        "0 = IsNotOneOfTheFollowing",
        "1 = IsOneOfTheFollowing"
      ],
      "members": [
        {
          "account": "text",
          "type": [
            "1 = User",
            "2 = Group",
            "3 = ForeignSecurityPrincipal",
            "4 = Computer"
          ],
          "sid": "text"
        }
      ]
    },
    "gateways": {
      "enabled": true,
      "matchingMode": [
        "0 = IsNotOneOfTheFollowing",
        "1 = IsOneOfTheFollowing"
      ],
      "members": [
        {
          "gatewayIP": "text"
        }
      ]
    },
    "oSs": {
      "enabled": true,
      "matchingMode": [
        "0 = IsNotOneOfTheFollowing",
        "1 = IsOneOfTheFollowing"
      ],
      "allowedOSes": {
        "chrome": true,
        "android": true,
        "webClient": true,
        "iOS": true,
        "linux": true,
        "mac": true,
        "wyse": true,
        "windows": true
      }
    },
    "iPs": {
      "enabled": true,
      "matchingMode": [
        "0 = IsNotOneOfTheFollowing",
        "1 = IsOneOfTheFollowing"
      ],
      "allowedIPs": {
        "iPv4s": [
          {
            "from": "text",
            "to": "text"
          }
        ],
        "iPv6s": [
          {
            "from": "text",
            "to": "text"
          }
        ]
      }
    },
    "hardwareIDs": {
      "enabled": true,
      "matchingMode": [
        "0 = IsNotOneOfTheFollowing",
        "1 = IsOneOfTheFollowing"
      ],
      "members": [
        {
          "hardwareID": "text"
        }
      ]
    },
    "access": [
      "0 = DenyCriteriaWhen",
      "1 = AllowCriteriaWhen"
    ],
    "devices": {
      "enabled": true,
      "matchingMode": [
        "0 = IsNotOneOfTheFollowing",
        "1 = IsOneOfTheFollowing"
      ],
      "members": [
        {
          "client": "text"
        }
      ]
    }
  },
  "authMode": [
    "0 = MandatoryForAllUsers",
    "1 = CreateTokenForDomainAuthenticatedUsers",
    "2 = UsersWithSafeNetAcc"
  ],
  "otpServiceURL": "text",
  "userRepository": "text",
  "tmsWebApiURL": "text"
}

Update

put

Update the MFA Safenet settings.

Path parameters
idinteger · int32Required

The id for which to modify the MFA settings.

Body

Update MFA of type safenet

namestring · min: 1 · max: 255 · nullableOptional

The new name of the target multi-factor authentication .

descriptionstring · nullableOptional

A user-defined multi-factor authentication description.

enabledboolean · nullableOptional

Enable or disable the specified multi-factor authentication in a site.

inheritDefaultCriteriaSettingsboolean · nullableOptional

If true default criteria settings will be inherited.

Responses
204

No Content

No content

put/api/MFA/Safenet/{id}
PUT /api/MFA/Safenet/{id} HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 89

{
  "name": "text",
  "description": "text",
  "enabled": true,
  "inheritDefaultCriteriaSettings": true
}

No content